--COMBAT_LOG_EVENT_UNFILTERED
function(e, ...)
    local se = select(2, ...)
    if se == "SPELL_AURA_APPLIED" or se == "SPELL_AURA_APPLIED_DOSE" then
        local source = select(5, ...)
        if source == UnitName("player") then
            local spell = select(13, ...)
            local target = select(9, ...)
            if spell == "Highfather's Timekeeping" then
                if not aura_env.targets[target] then 
                    aura_env.targets[target] = 1
                else
                    aura_env.targets[target] = aura_env.targets[target] + 1
                end
                return true
            end
        end
    elseif se == "SPELL_AURA_REMOVED" then
        local source = select(5, ...)
        local target = select(9, ...)
        local spell = select(13, ...)
        if source == UnitName("player") and spell == "Highfather's Timekeeping" and aura_env.targets[target] then
            aura_env.targets[target] = nil
            return true
        end
    end
end

--DISPLAY
function()
    local output = ""
    for k,v in pairs(aura_env.targets) do
        output = output .. k .. " " .. v .. "\n"
    end
    return output
end

--INIT
aura_env.targets = {}